
#include "material.h"
#include "chaos.h"

///::title:: Multi-layer (1D version)
///::vars:: EPSILON=1e-3

void material_set_chaos_size () {
  CHAOS_SIZE [FLUX] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [FLUX] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [FLUX] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [FLUX] [LOCAL]  [NORMAL]  = 0;
}

real c (real x, real y, real z) {
  // multi-layer coefficient
  return 1.41 + sin(2*pi*x/EPSILON);
}
