
#ifndef SOLVER_H
#define SOLVER_H

#include "structures.h"

// === SOLVER SPECIFIC routines (defined in solver_*.cpp)

// compute approximate numerical flux
void solver_calc_flux (ConservedVars &F, const AllVariables &lV, const AllVariables &rV, int i, int j, int k, int d);

// compute local maximal wave speed
real solver_calc_max_speed (const AllVariables &lV, const AllVariables &rV, const int i, const int j, const int k, const int d);

#endif
