
#include "equation.h"
#include "space.h"

///::title:: Second Order in Time, NO RECONSTRUCTION
///::depends:: time_o2 quadrature_o2 powell_o23
///::vars:: CFL=0.475

void left(AllVariables &V, int i, int j, int k, int d)
{
  V.U = U[i][j][k];
  V.XU = Xtra[i][j][k];
}

void right(AllVariables &V, int i, int j, int k, int d)
{
  V.U = U[i][j][k];
  V.XU = Xtra[i][j][k];
}
