
#include "time.h"

#include "equation.h"
#include "multi.h"

///::title:: First order Euler time stepping

void time_step_internal_cells () {
  
  #if HIDE_DDM_COMMUNICATION
  
  time_sub_step_internal_cells();
  time_step_calc_xtra_internal_cells();
  
  #endif
}

void time_step_external_cells () {
  
  #if HIDE_DDM_COMMUNICATION
  
  time_sub_step_external_cells();
  time_step_calc_xtra_external_cells();
  
  #else
  
  time_sub_step ();
  time_step_calc_xtra ();
  
  #endif
}
