
/*
 * Declarations of TIMER class
 */

#ifndef TIMER_H

#define TIMER_H

#include <iostream>

class Timer {
  
  private:
    
    double startedAt;
    double runtime;
    bool isstarted;
    bool ispaused;
    
  public:
    
    Timer();
    
    bool started();
    bool active();
    bool paused();
    bool stopped();
    
    Timer & start();
    Timer & pause();
    Timer & resume();
    Timer & stop();
    Timer & reset();
    
    double duration();
    double* duration_ptr();
};

#endif
