
#ifndef TOPOGRAPHY_H
#define TOPOGRAPHY_H

#include "numtypes.h"

// defined in corresponding topography_*.cpp

real b      (real x, real y);                // evaluation of topography at domain point (x,y)

// defined in topography.cpp

real b      (const int &i, const int &j);    // evaluation of topography at mesh cell (i,j)

// if STANDARD_TOPOGRAPHY_QUAD=1 then definition from topography.cpp is used
// else, should be defined manually, for example, in solver-sw_*.cpp file
void compute_source   (const int &i, const int &j);

#endif
