
#include "topography.h"
#include "chaos.h"

///::title:: Increasing bed height towards the shore (1D)

void topography_set_chaos_size () {
  CHAOS_SIZE [TOPOGRAPHY] [GLOBAL] [UNIFORM] = 0;
  CHAOS_SIZE [TOPOGRAPHY] [GLOBAL] [NORMAL]  = 0;
  CHAOS_SIZE [TOPOGRAPHY] [LOCAL]  [UNIFORM] = 0;
  CHAOS_SIZE [TOPOGRAPHY] [LOCAL]  [NORMAL]  = 0;
}

real b (real x, real y) {
  return 2.10 - 1.05*x;
}
