
/* EQUATION SPECIFIC FVM routines
 * Linear Advection (scalar linear conservation law)
 */

///::title:: Linear Advection (scalar linear conservation law)

#include "equation.h"

void set_chaos_size () {
  model_set_chaos_size();
  flux_set_chaos_size();
}

void apply_constraints (ConservedVars &CV, XtraVars &XV)
{
  // Constraints for ConservedVars
  /* nothing */
  // Constraints for XtraVars
  if (XV.E < 0.0) XV.E = 0.0;
}

void time_step_extend_coefficients () {}

#if INDICATOR == 1
// u
real indicator (const int &i, const int &j, const int &k, const int &d) {
  ConservedVars &Uijk = U[i][j][k];
  return Uijk.u;
}
#endif
