
///::title:: LCG (Linear Congruential Generator, from STDLIB)
///::consts:: RNG_HAS_STREAMS=0

#include "rng.h"

#include <cstdlib>

// last seed and stream used in 'rng_init()'
static int last_seed, last_stream;

void rng_init (const int seed, const int stream) {
  last_seed = seed;
  last_stream = stream;
  srand((unsigned int) seed);
}

void rng_reinit () {
  rng_init (last_seed, last_stream);
}

double draw_UNIFORM () {
  return rand() / ((double)RAND_MAX + 1);
}
