
#include "equation.h"
#include "solver-util-hll.h"

void hll_speeds(const AllVariables &lV, const AllVariables &rV, int d,
		real &sl, real &sr, real &cs)
{
  sr = max( calc_max_speed(lV.U,lV.XU,d), calc_max_speed(rV.U,rV.XU,d) );
  sl = - sr;
}
